SKF GoPlant
Api Reference 101

Storage Groups

Get information about the GoPlant storage group hierarchy. A user may only view storage groups within their hierarchy.

GET /api/rest/storage-groups Get a list storage groups within the user’s scope.
Request

                GET https://{goplant_instance}/api/rest/storage-groups
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of storage groups
count
Number of records returned
integer
storageGroups
Array of storage groups within the current user’s scope
array of storage-group-type
uuid
Unique ID of storage group
string
uri
Storage group URI
string
name
Storage group name
string
description
Storage group description
string
storageGroupFullPath
Full path name of storage group
string
parentStorageGroupUuid
Unique ID of parent storage group
string
parentStorageGroupUri
URI of parent storage group
string
timeZone
IANA name of the storage group's time zone
string
maximumSessions
Maximum number of login sessions for users of this storage group and its children
integer
activeSessions
Current number of login sessions for users of this storage group and its children
integer
GET /api/rest/storage-groups/:uuid Get a single storage group
Request

                GET https://{goplant_instance}/api/rest/storage-groups/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested storage group
uuid
Unique ID of storage group
string
uri
Storage group URI
string
Name
Storage group name
string
Description
Storage group description
string
storageGroupFullPath
Full path name of storage group
string
parentStorageGroupUuid
Unique ID of parent storage group
string
parentStorageGroupUri
URI of parent storage group
string
timeZone
IANA name of the storage group's time zone
string
maximumSessions
Maximum number of login sessions for users of this storage group and its children
integer
activeSessions
Current number of login sessions for users of this storage group and its children
integer